Bug 492318 - Missing dependency
Missing dependency
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-GraphViz (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 09:10 EDT by Ian Chapman
Modified: 2009-06-14 09:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-14 09:43:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Chapman 2009-03-26 09:10:28 EDT
Description of problem:

perl-GraphViz is missing a dependency on GraphViz

For example:

yum -y install perl-GraphViz 

Installs:
perl-Parse-RecDescent
perl-XML-Twig
perl-IPC-Run
perl-GraphViz

Running any GraphViz perl program produces:

Command 'dot' not found in /usr/lib64/qt-3.3/bin, /usr/kerberos/bin, /usr/local/bin, /usr/bin, /bin, /usr/local/sbin, /usr/sbin, /sbin, /home/ian/bin at /usr/lib/perl5/vendor_perl/5.10.0/GraphViz.pm line 1160


dot is part of the GraphViz package


Version-Release number of selected component (if applicable):
perl-GraphViz.noarch 0:2.03-1.fc10

How reproducible:

See above

Steps to Reproduce:
1. Install perl-GraphViz
2. Run a program which depends on it
3. If GraphViz isn't already installed it will fail
  
Actual results:

Program fails

Expected results:

All dependencies should be installed so that programs successfully run.

Additional info:
Comment 1 Fedora Update System 2009-03-29 13:05:24 EDT
perl-GraphViz-2.03-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-GraphViz-2.03-3.fc10
Comment 2 Fedora Update System 2009-03-29 13:05:30 EDT
perl-GraphViz-2.03-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-GraphViz-2.03-3.fc9

Note You need to log in before you can comment on or make changes to this bug.